## javax.vecmath
Class SingularMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.vecmath.SingularMatrixException

All Implemented Interfaces:
  java.io.Serializable

    public class SingularMatrixException

extends java.lang.RuntimeException

Indicates that inverse of a matrix can not be computed.

See Also:
  Serialized Form

Constructor Summary
`SingularMatrixException()` Create the exception object with default values.
`SingularMatrixException(java.lang.String str)` Create the exception object that outputs message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingularMatrixException

    public SingularMatrixException()

  Create the exception object with default values.

### SingularMatrixException

    public SingularMatrixException(java.lang.String str)

  Create the exception object that outputs message.

  Parameters:
    `str` - the message string to be output.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.